// Code generated by mockery v2.9.4. DO NOT EDIT.

package publishermock

import mock "github.com/stretchr/testify/mock"

// Publisher is an autogenerated mock type for the Publisher type
type Publisher struct {
	mock.Mock
}

// SendVerificationLink provides a mock function with given fields: email, name, link
func (_m *Publisher) SendVerificationLink(email string, name string, link string) {
	_m.Called(email, name, link)
}
